OneBasket

Get Events

GET
/tickets/events

Get the events with aggregated tickets number for the current authenticated contact (those that they bought themselves, or those that were forwarded to them).

Authorization

BearerAuth ApiKeyAuth
AuthorizationBearer <token>

In: header

x-api-key<token>

In: header

Response Body

application/json

curl -X GET "https://example.com/tickets/events"
[  {    "ticketsNumber": 0,    "additionalFields": {      "property1": null,      "property2": null    },    "id": "string",    "name": "string",    "type": "NOT_SET",    "start": "2019-08-24T14:15:22Z",    "end": "2019-08-24T14:15:22Z",    "image": "http://example.com",    "venue": {      "name": "string",      "city": "string",      "street": "string",      "postalCode": "string",      "latitude": "string",      "longitude": "string"    },    "sportsMatch": {      "teams": {        "home": {          "name": "string",          "logo": "http://example.com"        },        "away": {          "name": "string",          "logo": "http://example.com"        },        "teamType": "Unspecified"      },      "competition": "string",      "competitionKey": "string"    }  }]